<%--
Copyright (C) 2004-2010 by Autodesk, Inc.
This library is free software; you can redistribute it and/or
modify it under the terms of version 2.1 of the GNU Lesser
General Public License as published by the Free Software Foundation.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--%>

<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Collections" %>
<%@ Import Namespace="System.Collections.Specialized" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Text" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="OSGeo.MapGuide" %>

<!-- #Include File="common.aspx -->
<!-- #Include File="product.aspx -->

<script language="C#" runat="server">

String webLayoutDefinition = "";
String sessionId = "";
String orgSessionId = "";
String username = "";
String password = "";
String locale = "";
int curFlyout = 0;
NameValueCollection cmds = null;
</script>

<%
    try
    {
        Response.Charset = "utf-8";
        MgLocalizer.SetLocalizedFilesPath(Request.ServerVariables["APPL_PHYSICAL_PATH"] + "..\\localized\\");

        // Initialize web tier with the site configuration file.
        InitializeWebTier();

        MgUserInformation cred = new MgUserInformation();
        cred.SetMgUsernamePassword("Anonymous", "");


        MgSiteConnection site = new MgSiteConnection();
        site.Open(cred);

        MgResourceIdentifier resId = new MgResourceIdentifier("Library://Samples/Sheboygan/Layers/Parcels.LayerDefinition");
        MgResourceService resSvc = site.CreateService(MgServiceType.ResourceService) as MgResourceService;

        MgLayer layer = new MgLayer(resId, resSvc);

        String response = "<html><body>"+layer.GetFeatureSourceId()+"</body></html>";
        Response.Write(response);
    }
    catch (MgException e)
    {
        String errorMsg = EscapeForHtml(e.GetDetails());
        Response.Write(errorMsg);
    }
    catch (Exception ne)
    {
        String errorMsg = EscapeForHtml(ne.Message);
        Response.Write(errorMsg);
    }
%>

</script>
